#include <bits/stdc++.h>

using namespace std;
struct Vaga{
    int d;
    int u;
}vage[200005];

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n,M,l,r,x,br;
    cin>>n>>M;
    for(int i=1;i<=n;i++){
        cin>>vage[i].d>>vage[i].u;
    }
    for(int m=0;m<M;m++){
        cin>>l>>r>>x;
        br=0;
        for(int i=l;i<=r;i++){
            if(vage[i].d<=x && vage[i].u>=x){
                br++;
            }
        }
        cout<<br<<"\n";
    }
    return 0;
}